<!-- Default form contact -->
<div class="row mt-4">
    <form class="text-center border border-light p-4 pt-4" (ngSubmit)="onSubmitForm()" [formGroup]="userForm" >

      <p class="h4 mb-4">Nouvel Utilisateur</p>

      <!-- Prénom -->
      <input type="text" placeholder="First Name" formControlName="firstName" class="form-control mb-4" >

      <!-- Nom -->
      <input type="text" placeholder="Last Name" formControlName="lastName" class="form-control mb-4" >

      <!-- Email -->
      <input type="email" placeholder="Email" formControlName="email" class="form-control mb-4" >

      <!-- Subject -->
      <div class="form-group">
        <label for="drinkPreference">Quelle boisson préférez-vous ?</label>
        <select id="drinkPreference" class="browser-default custom-select mb-4" formControlName="drinkPreference">
          <option value="" disabled>Choisir une boisson</option>
          <option value="Coca" selected>Coca</option>
          <option value="Vin rouge">Vin Rouge</option>
          <option value="Pepsi">Pepsi</option>
        </select>
      </div>
      <div formArrayName="hobbies">
        <h3>Vos Hobbies</h3>
        <div class="form-group" *ngFor="let hobbyControl of getHobbies().controls; let i = index">
          <input type="text" class="form-control" [formControlName]="i">
        </div>
        <button type="button" class="btn btn-success" (click)="onAddHobby()">Ajouter un hobby</button>
      </div>

      <!-- Send button -->
      <button class="btn btn-info btn-block" type="submit" [disabled]="userForm.invalid">Soumettre</button>

    </form>
  </div>


<!-- Default form contact -->
